## Interface IListControlAdapter

Description

IListControlAdapter interface

- since: 3.0
- version: $Revision: $ Sun Jun 25 04:53:43 EST 2006 $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/WebControls/TListControl.php (line 1038)

Method Summary
void clearSelection ()
void setSelectedIndex (integer $index)
void setSelectedIndices (array $indices)
void setSelectedValue (string $value)
void setSelectedValues (array $values)
Methods
clearSelection (line 1066)

Clears all existing selections on the client side.

- access: public

void clearSelection ()
setSelectedIndex (line 1044)

Selects an item based on zero-base index on the client side.

- access: public

void setSelectedIndex (integer $index)

- integer $index: the index (zero-based) of the item to be selected

setSelectedIndices (line 1049)

Selects a list of item based on zero-base indices on the client side.

- access: public

void setSelectedIndices (array $indices)

- array $indices: list of index of items to be selected

setSelectedValue (line 1055)

Sets selection by item value on the client side.

- access: public

void setSelectedValue (string $value)

- string $value: the value of the item to be selected.

setSelectedValues (line 1061)

Sets selection by a list of item values on the client side.

- access: public

void setSelectedValues (array $values)

- array $values: list of the selected item values

Documentation generated on Mon, 21 Apr 2008 11:35:27 -0400 by phpDocumentor 1.3.0RC4